\name{deleteDBEntry}
\alias{deleteDBEntry}
\title{Deleting a row (or all rows) in a database table}
\description{
  \code{deleteDBEntry} With this function a row or all rows can be deleted from a database table. If the rows to be deleted are referenced by another table the corresponding row will not be deleted (to keep the referencial integrity).
}
\usage{
deleteDBEntry(con,name=NULL,attribute=NULL,value=NULL,condition="=", no.transaction=FALSE)
}
\arguments{
  \item{con}{A connection object (create it with the dbConnect.PgSQL.conn function from the package RdbiPgSQL)}
  \item{name}{The table name}
  \item{attribute}{The column name in the database where the values in the \code{values} argument can be found (the corresponding rows will then be deleted).}
  \item{value}{The values that should be compared with the entries in the column of the database table (specified by the \code{attribute} argument). If nothing is submitted, all rows in the database will be deleted.}
  \item{condition}{The condition that has to be fulfilled by the values (submitted with the \code{value} argument and the values in the database table, specified by the \code{attribute} column).}
  \item{no.transaction}{if the whole call should not be performed into a TRANSACTION, so if any error occurrs during the processing of the function, the database will not be touched. The default value is FALSE, so the function is quite robust.}
}
\details{
For the people that know already a little bit of SQL, this function does nothing else as sending the query DELETE FROM <name> WHERE <attribute><condition><value>;.
}
\references{}
\author{Johannes Rainer}

\seealso{
	\code{\link{createDBTable}}
}

\examples{
}

\keyword{data}
